Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class TCPSocketTransport

    java.lang.Object
      com.skype.ipc.TCPSocketTransport

All Implemented Interfaces:
  Transport

    public class TCPSocketTransport

extends java.lang.Object
implements Transport

Field Summary
`static int` | `BUFFERSIZE`
`static int` | `STREAMTIMEOUT`

Constructor Summary
`TCPSocketTransport(java.lang.String IpAddress, int Port)`

Method Summary
`boolean` | `connect()` brief Connects to skypekit.
`void` | `disconnect()` Disconnects from skypekit
`java.io.InputStream` | `GetInputStream()`
`java.io.OutputStream` | `GetOutputStream()`
`boolean` | `hasMore()`
`boolean` | `isConnected()` \brief Check if the connection to SkypeKit is still there.
`int` | `peek()` \brief Check value of next byte, but do not remove from stream.
`int` | `read()` \brief Read one byte.
`int` | `read(int numBytes, byte[] bytes)` \brief Read as many bytes as possible, but not more than num_bytes.
`int` | `read(int numBytes, byte[] bytes, boolean requirenumbytes)` \brief Read number of bytes indicated.
`void` | `startLogging(java.lang.String logFileName)` \brief start transport logging to two files based on logFileName path.
`boolean` | `write(byte b)` \brief Write one byte.
`boolean` | `write(int numBytes, byte[] bytes)` \brief Write buffer to stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUFFERSIZE

    public static final int BUFFERSIZE

See Also:
  Constant Field Values

### STREAMTIMEOUT

    public static final int STREAMTIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### TCPSocketTransport

    public TCPSocketTransport(java.lang.String IpAddress,
                              int Port)

Method Detail

### connect

    public boolean connect()
                    throws java.io.IOException

  Description copied from interface: `Transport`
  brief Connects to skypekit. When this function returns successfully, you can start sending and receiving messages.

  Specified by:
    `connect` in interface `Transport`
  Throws:
    `java.io.IOException`

### disconnect

    public void disconnect()
                    throws java.io.IOException

  Description copied from interface: `Transport`
  Disconnects from skypekit

  Specified by:
    `disconnect` in interface `Transport`
  Throws:
    `java.io.IOException`

### isConnected

    public boolean isConnected()
                        throws java.io.IOException

  Description copied from interface: `Transport`
  \brief Check if the connection to SkypeKit is still there.

  Specified by:
    `isConnected` in interface `Transport`
  Throws:
    `java.io.IOException`

### startLogging

    public void startLogging(java.lang.String logFileName)

  Description copied from interface: `Transport`
  \brief start transport logging to two files based on logFileName path.

  Specified by:
    `startLogging` in interface `Transport`

### peek

    public int peek()
             throws java.io.IOException

  Description copied from interface: `Transport`
  \brief Check value of next byte, but do not remove from stream.

  Specified by:
    `peek` in interface `Transport`
  Throws:
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Description copied from interface: `Transport`
  \brief Read one byte.

  Specified by:
    `read` in interface `Transport`
  Throws:
    `java.io.IOException`

### read

    public int read(int numBytes,
                    byte[] bytes)
             throws java.io.IOException

  Description copied from interface: `Transport`
  \brief Read as many bytes as possible, but not more than num_bytes.

  Specified by:
    `read` in interface `Transport`
  Throws:
    `java.io.IOException`

### read

    public int read(int numBytes,
                    byte[] bytes,
                    boolean requirenumbytes)
             throws java.io.IOException

  Description copied from interface: `Transport`
  \brief Read number of bytes indicated. Block until all bytes collected. \returns number bytes read

  Specified by:
    `read` in interface `Transport`
  Throws:
    `java.io.IOException`

### write

    public boolean write(byte b)
                  throws java.io.IOException

  Description copied from interface: `Transport`
  \brief Write one byte.

  Specified by:
    `write` in interface `Transport`
  Throws:
    `java.io.IOException`

### write

    public boolean write(int numBytes,
                         byte[] bytes)
                  throws java.io.IOException

  Description copied from interface: `Transport`
  \brief Write buffer to stream.

  Specified by:
    `write` in interface `Transport`
  Throws:
    `java.io.IOException`

### GetInputStream

    public java.io.InputStream GetInputStream()

### GetOutputStream

    public java.io.OutputStream GetOutputStream()

### hasMore

    public boolean hasMore()
                    throws java.io.IOException

  Specified by:
    `hasMore` in interface `Transport`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.